<template>
  <div class="mx-auto px-10 py-6">
    <div class="max-w-7xl mx-auto px-4 sm:px-6 md:px-8">
      <h1 class="text-2xl font-semibold text-gray-900">My Projects</h1>
      <router-link :to="{name: 'CreateProject'}" href="#" class="float-right mb-6 inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md shadow-sm text-white bg-yellow-500 hover:bg-yellow-600 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Create new one
      </router-link>
      <div class="mx-auto m-20">
        <div v-for="(project, index) in projects" :key="index" class="my-10 bg-white overflow-hidden shadow rounded-lg divide-y divide-gray-200">
          <div class="px-4 py-5 sm:px-6">
            {{ project.title }}
            <p class="text-sm text-gray-400">
              By {{ project.company.name }}
            </p>
          </div>
          <div class="px-4 py-5 sm:p-6">
            {{ project.description }}
          </div>
          <div class="px-4 py-4 sm:px-6">
            <router-link :to="{name: 'ProjectsDetailUser', params: {id: project.id}}" class="text-base font-semibold text-indigo-600 hover:text-indigo-500">
              About
            </router-link>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  name: 'ProjectsListUser',
  data () {
    return {
      projects: []
    }
  },
  computed: {
    ...mapGetters('project', ['allProjects']),
    ...mapGetters('user', ['me'])
  },
  methods: {
    ...mapActions('project', ['fetchAll'])
  },
  async beforeMount () {
    await this.fetchAll()
    this.projects = this.allProjects.filter(project => project.company.id === this.me.company[0].id)
  }
}
</script>
